# AIInfo Class Reference

Inheritance diagram for AIInfo:

## Public Member Functions
bool | GetSettings ()
| Get the settings of the AI.
const AIConfigItemList * | GetConfigList () const
| Get the config list for this AI.
const AIConfigItem * | GetConfigItem (const char *name) const
| Get the description of a certain ai config option.
bool | CanLoadFromVersion (int version) const
| Check if we can start this AI.
SQInteger | AddSetting (HSQUIRRELVM vm)
| Set a setting.
SQInteger | AddLabels (HSQUIRRELVM vm)
| Add labels for a setting.
int | GetSettingDefaultValue (const char *name) const
| Get the default value for a setting.
bool | UseAsRandomAI () const
| Use this AI as a random AI.
const char * | GetAPIVersion () const
| Get the API version this AI is written for.
## Static Public Member Functions
static const char * | GetClassName ()
static SQInteger | Constructor (HSQUIRRELVM vm)
| Create an AI, using this AIInfo as start-template.
static SQInteger | DummyConstructor (HSQUIRRELVM vm)
## Private Attributes
AIConfigItemList | config_list
int | min_loadable_version
bool | use_as_random
const char * | api_version

## Detailed Description

Definition at line 60 of file ai_info.hpp.

The documentation for this class was generated from the following files:

- src/ai/ai_info.hpp
- src/ai/ai_info.cpp